# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/commons-cli/commons-cli-1.0-r4.ebuild,v 1.4 2004/10/16 17:04:14 axxo Exp $

inherit java-pkg eutils

DESCRIPTION="Jelly is a tool for turning XML into executable code. So Jelly is a Java and XML based scripting and processing engine."
HOMEPAGE="http://jakarta.apache.org/commons/sandbox/graph/"
SRC_URI="mirror://gentoo/distfiles/${PF}-src.tar.gz"
DEPEND=">=virtual/jdk-1.3
	jikes? ( dev-java/jikes )
	dev-java/ant
	dev-java/log4j
	dev-java/commons-collections
	dev-java/junit
	dev-java/jdepend
	dev-java/xerces"
RDEPEND=">=virtual/jdk-1.3"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="jikes doc"
S=${WORKDIR}/jakarta-commons-sandbox/graph2

src_unpack(){
    unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/${PF}-gentoo.diff
	mkdir -p target/lib
	cd target/lib
	java-pkg_jar-from log4j
	java-pkg_jar-from commons-collections
	java-pkg_jar-from jdepend
	java-pkg_jar-from junit
	java-pkg_jar-from xerces-2 xml-apis.jar

}

src_compile(){
	cd $S
	local antflags="jar"
	use jikes && antflags="${antflags} -Dbuild.compiler=jikes"
	use doc && antflags="${antflags} javadoc"
	ant ${antflags} || die "compile failed"
}

src_install(){
	cd $S
	java-pkg_dojar target/commons-graph*.jar
	use doc && java-pkg_dohtml -r target/doc/*
}
